Activity log for bug #1730097

Date Who What changed Old value New value Message
2017-11-04 18:01:23 Jeremy Bicha bug added bug
2017-11-04 18:01:33 Jeremy Bicha nominated for series Ubuntu Artful
2017-11-04 18:01:33 Jeremy Bicha bug task added mutter (Ubuntu Artful)
2017-11-04 18:01:40 Jeremy Bicha mutter (Ubuntu Artful): status New Triaged
2017-11-04 18:01:46 Jeremy Bicha mutter (Ubuntu Artful): importance Undecided Medium
2017-11-04 18:01:50 Jeremy Bicha mutter (Ubuntu): importance Undecided Medium
2017-11-04 18:13:04 Jeremy Bicha description Impact ====== Test Case ========= Install the updates. Restart your computer. a. Log in to Ubuntu. b. Also make sure that Ubuntu Budgie still works Regression Potential ==================== Impact ====== New bugfix release in the 3.26 stable series. - Fix unredirecting full-screen windows and fix returning to full-screen after Alt-Tab (LP: #1725649) - Allow HiDPI scaling even when non-HiDPI displays are connected (LP: #1724024) - Fix Epiphany URL bar (LP: #1719043) (Closes: #875826) * Drop cherry-picked patches mutter is used by GNOME Shell and Budgie, so this update affects the Ubuntu and Ubuntu Budgie flavors. https://git.gnome.org/browse/mutter/tree/NEWS?h=gnome-3-26 https://git.gnome.org/browse/mutter/log?h=gnome-3-26 Test Case ========= Install the updates. Restart your computer. a. Log in to Ubuntu. b. Also make sure that Ubuntu Budgie still works Regression Potential ==================== Mutter is required for the login manager (gdm3) and default desktop so a severe enough regression could lead to some users being unable to use their computer except from a virtual terminal. On the other hand, other GNOME 3.26 distros are shipping this update and it fixes several important issues. There is a micro-release exception for GNOME: https://wiki.ubuntu.com/StableReleaseUpdates#GNOME
2017-11-04 18:15:05 Jeremy Bicha mutter (Ubuntu Artful): status Triaged In Progress
2017-11-04 21:05:44 Launchpad Janitor mutter (Ubuntu): status Fix Committed Fix Released
2017-11-07 15:59:06 Łukasz Zemczak mutter (Ubuntu Artful): status In Progress Fix Committed
2017-11-07 15:59:07 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2017-11-07 15:59:10 Łukasz Zemczak bug added subscriber SRU Verification
2017-11-07 15:59:14 Łukasz Zemczak tags artful upgrade-software-version artful upgrade-software-version verification-needed verification-needed-artful
2017-11-11 18:02:50 Jacob Vlijm tags artful upgrade-software-version verification-needed verification-needed-artful verification-done-artful
2017-11-11 18:03:45 Jacob Vlijm tags verification-done-artful artful upgrade-software-version verification-done-artful
2017-11-11 18:05:03 Jacob Vlijm tags artful upgrade-software-version verification-done-artful artful upgrade-software-version verification-done-artful verification-needed
2017-11-16 18:40:21 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2017-11-16 18:50:11 Launchpad Janitor mutter (Ubuntu Artful): status Fix Committed Fix Released